
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("wms_warehouse_material")]
    public class WmsWarehouseMaterial
    {

        [Key]
        [Column("warehouse_material_id")]
        public long warehouseMaterialId { get; set; }

        /// <summary>
        /// 仓库ID
        /// </summary>
        [Column("warehouse_id")]
        public long warehouseId { get; set; }

        /// <summary>
        /// 库位编码;单独需要针对库位设置的，后续扩展使用
        /// </summary>
        [Column("location_code")]
        public string locationCode { get; set; }

        /// <summary>
        /// 存储类型(1、物料，2、物料类型);先支持物料
        /// </summary>
        [Column("storage_type")]
        public string storageType { get; set; }

        /// <summary>
        /// 根据存储类型对应各自表的主键
        /// </summary>
        [Column("storage_id")]
        public long storageId { get; set; }

        /// <summary>
        /// 创建时间
        /// </summary>
        [Column("create_time")]
        public DateTime? createTime { get; set; }

        /// <summary>
        /// 创建人
        /// </summary>
        [Column("create_by")]
        public string createBy { get; set; }
    }
}

